function handles = write_input_tbl(hObject, eventdata, handles)

switch handles.filter_index
    case 1
        handles.input_fid = fopen(fullfile(handles.path_name, handles.file_name), 'r');
        [handles.names, handles.positions, handles.velocities, handles.velocity_errors, handles.velocity_covar] = read_ecef_file(handles.input_fid);
        fclose(handles.input_fid);

        % Write the data in the input table
        set(handles.input_tbl, ...
            'ColumnName', {'Stations', 'X', 'Y', 'Z', '<html>V<sub>X</sub></html>', '<html>V<sub>Y</sub></html>', '<html>V<sub>Z</sub></html>', '<html>&sigma;<sub>V_X</sub></html>', '<html>&sigma;<sub>V_Y</sub></html>', '<html>&sigma;<sub>V_Z</sub></html>', '<html>&sigma;<sub>V_XY</sub></html>', '<html>&sigma;<sub>V_XZ</sub></html>', '<html>&sigma;<sub>V_YZ</sub></html>'},...
            'ColumnFormat', {'char', 'numeric', 'numeric', 'numeric', 'numeric', 'numeric', 'numeric', 'numeric', 'numeric', 'numeric', 'numeric', 'numeric', 'numeric'},...
            'Data', [handles.names, num2cell([handles.positions, handles.velocities, handles.velocity_errors, handles.velocity_covar])]);
        
    case 2
        handles.input_fid = fopen(fullfile(handles.path_name, handles.file_name), 'r');
        [handles.names, handles.positions, handles.velocities, handles.velocity_errors, handles.velocity_covar] = read_neu_file(handles.input_fid);
        fclose(handles.input_fid);
        
        % Write the data in the input table
        set(handles.input_tbl, ...
            'ColumnName', {'Stations', 'Latitude', 'Longitude', '<html>V<sub>N</sub></html>', '<html>V<sub>E</sub></html>', '<html>&sigma;<sub>V_N</sub></html>', '<html>&sigma;<sub>V_E</sub></html>', '<html>&sigma;<sub>V_NE</sub></html>'},...
            'ColumnFormat', {'char', 'numeric', 'numeric', 'numeric', 'numeric', 'numeric', 'numeric', 'numeric'},...
            'Data', [handles.names, num2cell([handles.positions, handles.velocities, handles.velocity_errors, handles.velocity_covar])]);
        
    otherwise
        return;
        
end

% Sort the data in the input table
sort_tbl(handles.input_tbl);

% Set the data handle of the input table
handles.input_tbl_data = true;

% Write number of stations
set(handles.nb_stns, 'String', num2str(length(handles.names)));

% Set the file name in the status bar
set(handles.input_file_name_status_bar, 'String', handles.file_name);

% Enable the reload pushtool
set(handles.reload_pushtool, 'Enable', 'On');

return;
